Subject: Re: [PATCH 9/9] Add a sample user for the svndump library

From: Jonathan Nieder <[email-masked]>
Date: Thu, 24 Jun 2010 15:52:56 -0500

Ramkumar Ramachandra wrote:

> Unfortunately, turning off persistence isn't so easy now

Hmm, couldn’t one just leave out some pool_init() calls?

Of course, that would make pool_init() and related functionality unused,
and we may or may not want to remove it while at it.

> Yes, the remote helper can use the .git directory, but I thought we
> wanted to keep this in contrib/ even after the remote helper is
> merged?

For incremental imports, I suspect the standalone svn-fe is going to
need to invoke ‘git fast-import’ itself, which implies knowledge of
the location of the .git directory.

For undeltified nonincremental imports, there is no problem. :)

> Jonathan Nieder wrote:

>> Maybe the file should get a simpler license?  e.g.:
>>
>>  This file is in the public domain.
>>  You may freely use, modify, distribute, and relicense it.
>
> Yes, I like this.

David, would this be okay? (for the short svn-fe.c file only)

>> Do version 3 dumpfiles fail?
>
> Yes, they do. We aren't parsing the extra headers anywhere, and
> deltified dumps aren't supported.

Worth documenting indeed.

Thanks again.